# Get Archived NERM profiles through NERM API

**URL:** <https://developer.sailpoint.com/discuss/t/get-archived-nerm-profiles-through-nerm-api/219682>\
**Category:** SHF Discussion and Questions\
**Tags:** apis, identity-security-cloud, nerm\
**Created:** [August 19, 2026, 2:19pm UTC](https://developer.sailpoint.com/discuss/t/get-archived-nerm-profiles-through-nerm-api/219682 "2026-08-19T14:19:28Z")\
**Posts on this page:** 5\
**Page:** 1

<div class="post-metadata">

**Author:** ![RemiUGAP](https://avatars.discourse-cdn.com/v4/letter/r/a698b9/32.png) [@RemiUGAP](https://developer.sailpoint.com/discuss/u/RemiUGAP)\
**Post date:** [August 19, 2026, 2:19pm UTC](https://developer.sailpoint.com/discuss/t/get-archived-nerm-profiles-through-nerm-api/219682/1 "2026-08-19T14:19:28Z")

</div>

Hello there,

We would like to un-archived NERM account as we want to keep them visible on ISC.  
But first, I would like to be able to:  
**get the list of archived NERM accounts (profiles) through API**,  
then later be able to:  
**unarchived them through API**.

I have yet to find a way to do it. Is it possible?

So far, I have tried different API :  
The NERM “profiles” endpoint display all unarchived accounts, but archived accounts remain hidden. By unarchiving manually one account, it become visible through the API.

Even through the profile\_type endpoint, the archived profile types are hidden. When using the archived=true parameter, no profile type is being returned even though there are three archived profile types.

Any idea how to do it?

Thank you for your help,  
Rémi.

---

<div class="post-metadata">

**Author:** ![ZackTarantino-Woolson](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/zacktarantino-woolson/32/8372_2.png) [@ZackTarantino-Woolson](https://developer.sailpoint.com/discuss/u/ZackTarantino-Woolson)\
**Post date:** [August 19, 2026, 3:03pm UTC](https://developer.sailpoint.com/discuss/t/get-archived-nerm-profiles-through-nerm-api/219682/2 "2026-08-19T15:03:06Z")

</div>

The normal data returned by /profiles will only returned unarchived accounts. The only way to retrieve archived accounts via API is to use the after\_id parameter: [get-profiles | SailPoint Developer Community](https://developer.sailpoint.com/docs/api/nerm/v1/get-profiles/)

Such as : `GET https://tenant.nonemployee.com/api/profiles?profile_type_id=X&limit=500&after_id=`

I intentionally leave the value after after\_id blank, as I want to start pulling all records. Then, it can be filled in with the ID of last record in the response body to get the next page.

---

<div class="post-metadata">

**Author:** ![RemiUGAP](https://avatars.discourse-cdn.com/v4/letter/r/a698b9/32.png) [@RemiUGAP](https://developer.sailpoint.com/discuss/u/RemiUGAP)\
**Post date:** [August 19, 2026, 3:13pm UTC](https://developer.sailpoint.com/discuss/t/get-archived-nerm-profiles-through-nerm-api/219682/3 "2026-08-19T15:13:53Z")

</div>

Hello there,

I can confirm, it worked well. Thank you for your help.

---

<div class="post-metadata">

**Author:** ![vishwajeet\_8389](https://avatars.discourse-cdn.com/v4/letter/v/bc8723/32.png) [@vishwajeet\_8389](https://developer.sailpoint.com/discuss/u/vishwajeet_8389)\
**Post date:** [September 2, 2026, 1:12pm UTC](https://developer.sailpoint.com/discuss/t/get-archived-nerm-profiles-through-nerm-api/219682/4 "2026-09-02T13:12:22Z")

</div>

it seems there is limitation with use of after id: **api/profiles?profile\_type\_id=def48fcf-dcbd-48a5-bd2b-ac137cf48117&limit=250&offset=0&after\_id=64dbc65c-fe1e-4c12-b1a3-dcae8f4bddf2** it gave error as Failed to retrieve profiles: {“error”:“Opposed parameters provided. after\_id can’t be used with other  
filters/sort options”}

---

<div class="post-metadata">

**Author:** ![ZackTarantino-Woolson](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/zacktarantino-woolson/32/8372_2.png) [@ZackTarantino-Woolson](https://developer.sailpoint.com/discuss/u/ZackTarantino-Woolson)\
**Post date:** [September 2, 2026, 1:47pm UTC](https://developer.sailpoint.com/discuss/t/get-archived-nerm-profiles-through-nerm-api/219682/5 "2026-09-02T13:47:22Z")

</div>

As the error there, as stated, is that you can not use the after\_id parameter and the offset parameters together. To get the next page, you would set the after\_id value to the last profile id returned in the response body. That is also available within the metadata object if using `metadata=true` parameter
